店舗別商品SKU紐づけ取得
GET
/products/{product_id}/shops/{shop_id}/product_classes/{product_class_id}/sku_sets/{product_sku_code}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/products/example/shops/example/product_classes/example/sku_sets/example?fields=productClassId%2CshopId%2Cquantity';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/products/example/shops/example/product_classes/example/sku_sets/example?fields=productClassId%2CshopId%2Cquantity' \ --header 'Authorization: Bearer <token>'店舗別商品SKU紐づけを取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
商品ID
shop_id
required
string
店舗ID
product_class_id
required
string
店舗別商品規格ID
product_sku_code
required
string
商品SKUコード
Query Parameters
Section titled “Query Parameters”fields
Array<string>
取得するフィールドをカンマ区切りで指定します。 指定がない場合すべてのフィールドを取得します。
Example
?fields=productClassId,shopId,quantityResponses
Section titled “Responses”取得成功
Media typeapplication/json
object
productClassId
店舗別商品規格ID
string
shopId
店舗ID
string
productId
商品ID
string
productSkuCode
商品SKUコード
string
quantity
数量
string
optionCond
引き当て条件
string
Examples
Exampledefault
{ "productClassId": "3001", "shopId": "10", "productId": "1001", "productSkuCode": "SKU-001", "quantity": "2", "optionCond": "定期購入のみ"}Fieldsに指定外の値が設定されている場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Examplefieldsに指定外の値が設定されている場合
{ "type": "about:blank", "title": "BadRequest", "detail": "指定されたfields項目が不正です: {invalid_field}", "status": 400}指定されたIDのリソースが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Example指定したリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}サーバー内部エラー
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Exampledefault
{ "type": "about:blank", "title": "InternalServerError", "status": 500}